equo error

Anything that pertains to Portage

Moderator: Moderators

equo error

Postby linuxdevil » Fri Nov 30, 2007 2:28

Code: Select all
 *
 * ERROR: app-admin/equo-0.8.21 failed.
 * Call stack:
 *            ebuild.sh, line 1701:  Called dyn_install
 *            ebuild.sh, line 1138:  Called qa_call 'src_install'
 *            ebuild.sh, line   44:  Called src_install
 *   equo-0.8.21.ebuild, line  112:  Called die
 * The specific snippet of code:
 *      mv "${D}"/usr/$(get_libdir)/python${PYVER}/site-packages/${PYTHON_MODNAME}/* "${D}"/usr/$(get_libdir)/entropy/libraries/pysqlite2/ || die "cannot move pysqlite library"
 *  The die message:
 *   cannot move pysqlite library
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-admin/equo-0.8.21/temp/build.log'.
 *


Any help would be appreciated.
-linuxdevil-
linuxdevil
Baby Hen
 
Posts: 14
Joined: Mon Sep 03, 2007 19:36
Location: Planet Ruby!!!

Re: equo error

Postby WarraWarra » Fri Nov 30, 2007 7:40

I am not sure how many would be able to help with this as it is not officially ready yet could be wrong about this.

If you can post what you have been trying to install we could recreate it and see what is happening.

Might be a bug not sure.
Also post the version of SL you are using this on.

I can try it on 32bit 3.4mini at this stage and possibly on tweaked 32bit PE1.1 .
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: equo error

Postby wolfden » Fri Nov 30, 2007 7:48

It looks like he is trying to install equo but failed to post the error. Posting the message stating there was an error tells nothing.
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: equo error

Postby linuxdevil » Sat Dec 01, 2007 0:42

I was attempting to install Equo on Sabayon 3.4e (not miniEdition), and while it was installing (not merging) it quit, saying "cannot move pysqlite library".
I thought this might have been caused because I didn't have pysqlite. So, I used emerge --nospinner -av pysqlite equo, and no such luck with Equo, but PySQLite worked. Also, what's the difference between the equo package and the entropy package? Is this enough information?
-linuxdevil-
linuxdevil
Baby Hen
 
Posts: 14
Joined: Mon Sep 03, 2007 19:36
Location: Planet Ruby!!!

Re: equo error

Postby linuxdevil » Sat Dec 01, 2007 1:00

This seems like the offending error:
Code: Select all
mv: cannot stat `/var/tmp/portage/app-admin/equo-0.8.30-r1/image//usr/lib/python2.5/site-packages/pysqlite2/*': No such file or directory

Can someone help?
-linuxdevil-
linuxdevil
Baby Hen
 
Posts: 14
Joined: Mon Sep 03, 2007 19:36
Location: Planet Ruby!!!

Re: equo error

Postby WarraWarra » Sat Dec 01, 2007 7:21

Think so. This is usual steps I take on errors / new install versions of Linux / gentoo / SL

Lets try:
as root in terminal / konsole black text window thingy.
# su
passwd:

Example:
# emerge --sync ; emerge portage ; layman -s sabayon ; emerge equo
Press enter after this text above or copy and paste + enter to execute , exclude the # from copy / paste .

By now it should have downloaded the missing file in portage folder and be able to install without issues.

layman can mention errors then fix it with:
Example:
# layman -d sabayon ; layman -a sabayon ; layman -s sabayon

Good thing to do by default:
# emerge -p equo
will list any clashing or problems that could occur.

Fix red problems with
# emerge --nodeps problem
changing "problem" in above to actual red item name
Example:
# emerge --nodeps baselayout linux-utils xfce4
once all red is updated via this cheat type idea continue to next below. Note the spaces between several items above or using ; to separate can also work.

Running "revdep-rebuild -X" after all this is a good idea to fix missing or corrupted dependency's.

# emerge -p equo
now all should be green or max yellow and you can then
# emerge equo

Might want to also try and "emerge -s pysqlite" then "emerge -p correct name of pysqlite" or even "emerge --nodeps pysqlite" everytime using correct name for it instead of ones I listed , check spelling of words.

It is likely that the pysql file has not been downloaded during emerge --sync you ran before trying to install equo or if all else fails use:
# mirrorselect -i
This will list several servers to sync from during emerge --sync that is close to you and they would likely have the file and then after this mirrorselect is complete "emerge --sync" or like first example to pull in the files equo / pysql or similar.

If it still fails try the irc chat on your desktop or the web chat top right of this page just say hi and give a few sec.s for the current conversation to end and then post your I need help with "error" or similar then they can help with more info and much faster.

Hope this helps.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: equo error

Postby linuxdevil » Wed Dec 05, 2007 1:56

So, I know you're probably used to new users, and I'm not one.

By the way, I always use
Code: Select all
emerge --nospinner -av <package>


It's better than
Code: Select all
emerge --nospinner --pretend <package>


Why do I use --nospinner? It speeds the "Calculating dependencies..." up.
I've proved it.

Anyway, I do need some advice other than what I've already tried.
IRC #sabayon wasn't willing to help me...
-linuxdevil-
linuxdevil
Baby Hen
 
Posts: 14
Joined: Mon Sep 03, 2007 19:36
Location: Planet Ruby!!!

Re: equo error

Postby joost » Thu Dec 06, 2007 12:01

linuxdevil wrote:This seems like the offending error:
Code: Select all
mv: cannot stat `/var/tmp/portage/app-admin/equo-0.8.30-r1/image//usr/lib/python2.5/site-packages/pysqlite2/*': No such file or directory

Can someone help?


Did you update python to 2.5 yet?
And if you did, did you run python-updater -i yet?

equo is witten in python and uses the sqlite implementations for the database. Do in other words, it depends on it.
joost
Sagely Hen
 
Posts: 2638
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: equo error

Postby linuxdevil » Sun Dec 09, 2007 23:40

I know this is kind of long, but here's what happened with "python-updater -i"
Code: Select all
# python-updater -i
 * Starting Python Updater from 2.4 to 2.5 :
 * Searching for packages with files in /usr/lib/python2.4 /usr/lib32/python2.4 /usr/lib64/python2.4 ..
 * Adding to list: media-libs/libgpod:0
 * Adding to list: media-libs/tunepimp:0
 * Adding to list: media-libs/ming:0
 * Adding to list: media-libs/mutagen:0
 * Adding to list: media-libs/pigment:0
 * Adding to list: media-libs/lcms:0
 * Adding to list: media-tv/democracy:0
 * Adding to list: net-dns/avahi:0
 * Adding to list: app-portage/portato:0
 * Adding to list: app-portage/layman:0
 * Adding to list: app-portage/etcproposals:0
 * Adding to list: gnome-base/gnome-applets:2
 * Adding to list: gnome-base/gnome-menus:0
/usr/sbin/python-updater: line 196: /var/db/pkg/media-video/mandvd-2.4-r2/SLOT: No such file or directory
/usr/sbin/python-updater: line 196: /var/db/pkg/media-video/manslide-1.5.9/SLOT: No such file or directory
/usr/sbin/python-updater: line 196: /var/db/pkg/media-video/manencode-0.8/SLOT: No such file or directory
 * Adding to list: app-mobilephone/obexftp:0
 * Adding to list: dev-util/portatosourceview:0
 * Adding to list: dev-util/scons:0
 * Adding to list: dev-util/subversion:0
 * Adding to list: net-zope/zopeinterface:0
 * Adding to list: dev-python/reportlab:0
 * Adding to list: dev-python/id3-py:0
 * Adding to list: dev-python/python-fchksum:0
 * Adding to list: dev-python/pyparted:0
 * Adding to list: dev-python/lxml:0
 * Adding to list: dev-python/pyxml:0
 * Adding to list: dev-python/python-ldap:0
 * Adding to list: dev-python/m2crypto:0
 * Adding to list: dev-python/eyeD3:0
 * Adding to list: dev-python/setuptools:0
 * Adding to list: dev-python/celementtree:0
 * Adding to list: dev-python/pygobject:2
 * Adding to list: dev-python/pyopengl:0
 * Adding to list: dev-python/Coherence:0
 * Adding to list: dev-python/pygtk:2
 * Adding to list: dev-python/PyQt:0
 * Adding to list: dev-python/Louie:0
 * Adding to list: dev-python/pygame:0
 * Adding to list: dev-python/pyopenssl:0
 * Adding to list: dev-python/pyvorbis:0
 * Adding to list: dev-python/python-musicbrainz2:0
 * Adding to list: dev-python/gnome-python-desktop:0
 * Adding to list: dev-python/pycairo:0
 * Adding to list: dev-python/pyogg:0
 * Adding to list: dev-python/pyxf86config:0
 * Adding to list: dev-python/PyQt4:0
 * Adding to list: dev-python/numeric:0
 * Adding to list: dev-python/gnome-python-extras:0
 * Adding to list: dev-python/gnome-python:2
 * Adding to list: dev-python/nevow:0
 * Adding to list: dev-python/pyid3lib:0
 * Adding to list: dev-python/rhpl:0
 * Adding to list: dev-python/ctypes:0
 * Adding to list: dev-python/pylirc:0
 * Adding to list: dev-python/imaging:0
 * Adding to list: dev-python/dbus-python:0
 * Adding to list: dev-python/elementtree:0
 * Adding to list: dev-python/cddb-py:0
 * Adding to list: dev-python/soappy:0
 * Adding to list: dev-python/compizconfig-python:0
 * Adding to list: dev-python/gst-python:0.10
 * Adding to list: dev-python/sip:0
 * Adding to list: dev-python/urlgrabber:0
 * Adding to list: dev-python/twisted:0
 * Adding to list: dev-python/twisted-web:0
 * Adding to list: dev-python/fpconst:0
 * Adding to list: dev-python/configobj:0
 * Adding to list: dev-python/pygtkglext:0
 * Adding to list: dev-python/wxpython:2.6
 * Adding to list: dev-python/pykde:0
 * Adding to list: dev-python/pyrex:0
 * Adding to list: dev-python/egenix-mx-base:0
 * Adding to list: dev-python/pyorbit:0
 * Adding to list: sys-apps/file:0
 * Adding to list: net-print/hplip:0
 * Adding to list: www-apps/viewvc:0
 * Adding to list: app-admin/sabayon:0
 * Adding to list: app-admin/webapp-config:0
/usr/sbin/python-updater: line 196: /var/db/pkg/app-admin/liboobs-2.18.1/SLOT: No such file or directory
 * Adding to list: app-admin/gamin:0
 * Adding to list: x11-wm/metisse:0
 * Adding to list: net-wireless/gnome-bluetooth:0
 * Adding to list: net-wireless/libbtctl:0
 * Adding to list: dev-libs/libxml2:2
 * Adding to list: dev-libs/libdnet:0
 * Adding to list: dev-libs/beecrypt:0
 * Adding to list: dev-libs/libxslt:0
 * Adding to list (manually): dev-libs/boost:0
 * Adding to list: dev-libs/newt:0
/usr/sbin/python-updater: line 196: /var/db/pkg/net-misc/nm-applet-0.6.5-r1/SLOT: No such file or directory
 * Adding to list: app-emulation/libvirt:0
 * Adding to list: app-emulation/wine-doors:0
 * Adding to list: app-emulation/virtinst:0
 * Adding to list: dev-java/java-config:0
 * Adding to list: dev-java/antlr:0
 * Adding to list: gnome-extra/libgsf:0
 * Adding to list: gnome-extra/deskbar-applet:0
 * Adding to list: x11-misc/alacarte:0
 * Adding to list: app-misc/beagle:0
/usr/sbin/python-updater: line 196: /var/db/pkg/x11-proto/glproto-1.4.6_alpha20060317/SLOT: No such file or directory
 * Adding to list (manually): x11-libs/vte:0
 * Adding to list: media-gfx/graphviz:0
/usr/sbin/python-updater: line 196: /var/db/pkg/sys-kernel/linux-sabayon-2.6.22/SLOT: No such file or directory
 * Adding to list: net-fs/samba:0
 * Adding to list: media-sound/jack:0
 * Adding to list: app-pda/libopensync:0
 * Adding to list: app-pda/pilot-link:0
 * Adding to list: sys-libs/cracklib:0
 * Adding to list: sys-libs/libcap:0
 * Adding to list: sys-libs/libselinux:0
 * Overlay eclass overrides eclass from PORTDIR:
 *
 *   '/usr/portage/local/layman/kde/eclass/cmake-utils.eclass'
 *
 * It is best to avoid overridding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to run `emerge --regen` after each time that you run `emerge
 * --sync`. Set PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you
 * would like to disable this warning.

These are the packages that would be merged, in order:

Calculating dependencies /
!!! All ebuilds that could satisfy ">=sys-apps/hal-0.5.10" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-apps/hal-0.5.10 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Saleem Abdulrasool <[email protected]> (23 Nov 2007)
# Mask this until we get the input and mounting issues worked out


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "app-misc/hal-info-20071011" [ebuild])


Any help would most definitely be appreciated.
-linuxdevil-
linuxdevil
Baby Hen
 
Posts: 14
Joined: Mon Sep 03, 2007 19:36
Location: Planet Ruby!!!

Re: equo error

Postby eshum » Tue Dec 11, 2007 5:39

Does this masked package mean the problem cannot be resolved?

ed
eshum
Technological Hen
 
Posts: 312
Joined: Tue Feb 20, 2007 20:42
Location: Oregon


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest